Subject: Re: [PATCH net-next 06/19] net: usb: aqc111: Introduce link management

From: Andrew Lunn <[email-masked]>
Date: Mon, 8 Oct 2018 14:12:45 +0200

On Mon, Oct 08, 2018 at 09:29:26AM +0000, Igor Russkikh wrote:
> Hi Andrew,
> 
> >>  	aqc111_read_fw_version(dev, aqc111_data);
> >> +	aqc111_data->autoneg = AUTONEG_ENABLE;
> >> +	aqc111_data->advertised_speed = (usb_speed == USB_SPEED_SUPER) ?
> >> +					 SPEED_5000 : SPEED_1000;
> > 
> 
> > USB 3 has a raw bandwidth of 5Gbps. But it is a shared bus. So you
> > have no guaranteed you are actually going to get the needed bandwidth
> > to support line rate.
> > 
> > USB 2.0 only gives you 480Mbps. So it won't even give you the full
> > 1G. So using the same reasoning for USB3, maybe you should limit it to
> > 100Mbps?
> > 
> > I personally would not apply restrictions on the PHY depending on what
> > USB is being used.
> 
> First argument here is to reduce power consumption on USB2.
> 2.5G/5G uses OCSGMII/XFI serdes which consumes more power.
> Of course in normal conditions usb2 is capable to feed that, but
> the risk still exists on legacy usb2 hardware.

O.K, that sounds like a sensible argument. Please add a comment. I
hope the Marketing Department also understand this. It should probably
explain this on the product packaging.

> > This becomes more important when using SFPs. If i have an SFP peer
> > which is expecting 2500Base-X, but because the device is plugged into
> > USB 2 port it is forced to use 1000Base-X, it is not going to get
> > link.
> 
> Do you mean here 2500Base-T? This particular device is an integrated
> mac+phy, thus we can't easily link it with -X SFP endpoint.

I only went to find the product brief after finishing the
review. Without an external SERDES interface, SFP is not possible. But
from your comment above, i does sound like internally it has such a
SERDES. So it is not out of the question a follow up device is
produced which could connect to an SFP. I actually have a no-name USB
based SFP dongle...

      Andrew